repo/gentoo:master commit in: kde-plasma/plasma-systemmonitor/

"Andreas Sturmlechner" <[email protected]> Tue, 04 Aug 2026 20:51:27 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785876623.06477cd2627afee236fa70c608108b5c6645e105.asturm@gentoo>
commit:     06477cd2627afee236fa70c608108b5c6645e105
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  4 16:17:32 2026 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Aug  4 20:50:23 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06477cd2

kde-plasma/plasma-systemmonitor: 6.7.4 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-plasma/plasma-systemmonitor/Manifest           |  1 +
 .../plasma-systemmonitor-6.7.4.ebuild              | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/kde-plasma/plasma-systemmonitor/Manifest b/kde-plasma/plasma-systemmonitor/Manifest
index 9c1f32e2a3ee..5f5ff52b03c8 100644
--- a/kde-plasma/plasma-systemmonitor/Manifest
+++ b/kde-plasma/plasma-systemmonitor/Manifest
@@ -1,2 +1,3 @@
 DIST plasma-systemmonitor-6.6.6.tar.xz 239124 BLAKE2B 975cb7796803140ad70380db84b0fd6e21903df9789c8cbc06d0bc86cf2a12390e4c42d5c101c2c48e58896ab0404718653443832059cfa4a32f908eec9d0a6a SHA512 852a14b8bf475ff1f8f151b741ad6d3f247d73db7a856e9a8b525105aa4f8e6c7ca9931bccb363644f7c0b982a04e2d21e72ed85e99dc59e63a64d94dfaa5df6
 DIST plasma-systemmonitor-6.7.3.tar.xz 242940 BLAKE2B 1e7833f41f8fecb2cc401f64d1676bc770cf7b41b695b499459d7dd1ceb8995d4a02289bb50677387f3f9047e2e069ce09d1d189e7308d8b59f605aed4b917c9 SHA512 1ab62785033cee39d338a500ad454d743d50066e506e157eb3209314c06e64aaa847d8ae946e0a99d7fdd0a6c0be5bbb38ed9591bdbec0a6481975307266623b
+DIST plasma-systemmonitor-6.7.4.tar.xz 242948 BLAKE2B 7cb71b5860a8e6a6ff4933b63ad0940cfea3a0c6584e51a4dc3cfc5b9a517e0ccf154a4e7d3ab34d69b238b6a874c967bf1e6c68ec29c1d72f9810c25a593de2 SHA512 bdfce98fdba73a42a7cf6346a3c9acdcd24192a4e296a12f088c13119b3ff8129e1932897589404d3494ae83e56563ecb3d4400ae002ee10af13968cfe683230

diff --git a/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-6.7.4.ebuild b/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-6.7.4.ebuild
new file mode 100644
index 000000000000..f05016ed2df1
--- /dev/null
+++ b/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-6.7.4.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_TEST="true"
+KFMIN=6.26.0
+QTMIN=6.10.1
+inherit ecm plasma.kde.org xdg
+
+DESCRIPTION="Monitor system sensors, process information and other system resources"
+HOMEPAGE="https://apps.kde.org/plasma-systemmonitor/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="6"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE=""
+
+DEPEND="
+	>=dev-libs/kirigami-addons-1.1.0:6
+	>=dev-qt/qtbase-${QTMIN}:6[dbus,gui,widgets]
+	>=dev-qt/qtdeclarative-${QTMIN}:6
+	>=kde-frameworks/kconfig-${KFMIN}:6
+	>=kde-frameworks/kcoreaddons-${KFMIN}:6
+	>=kde-frameworks/kcrash-${KFMIN}:6
+	>=kde-frameworks/kdbusaddons-${KFMIN}:6
+	>=kde-frameworks/kglobalaccel-${KFMIN}:6
+	>=kde-frameworks/ki18n-${KFMIN}:6
+	>=kde-frameworks/kiconthemes-${KFMIN}:6
+	>=kde-frameworks/kio-${KFMIN}:6
+	>=kde-frameworks/kitemmodels-${KFMIN}:6
+	>=kde-frameworks/knewstuff-${KFMIN}:6
+	>=kde-frameworks/kpackage-${KFMIN}:6
+	>=kde-frameworks/kservice-${KFMIN}:6
+	>=kde-frameworks/kwindowsystem-${KFMIN}:6
+	>=kde-plasma/libksysguard-${KDE_CATV}:6
+"
+RDEPEND="${DEPEND}
+	>=kde-frameworks/kirigami-${KFMIN}:6
+	>=kde-frameworks/kitemmodels-${KFMIN}:6
+	>=kde-frameworks/kquickcharts-${KFMIN}:6
+	>=kde-plasma/ksystemstats-${KDE_CATV}:6
+"
+
+CMAKE_SKIP_TESTS=(
+	# bug 977514, problem when running with translations available
+	TestPageManager
+)